<!DOCTYPE html>
<html>
<head>
  <style>
  body {
     font-family: Verdana, sans-serif;
     color: darkslategray;
     margin: 2em;
  }
  #form-inputs {
    display: flex;
    justify-content: flex-start;
  }
  input[type=number] {
      padding: .5em;
      margin: .5em  4em 2em 0;
      display: block;
      border: 1px solid silver;
      border-radius: .3em;
      box-sizing: border-box;
  }
  button {
     margin-top: 2em;
     padding      : .5em 1em;
     font         : bold .8em sans-serif;
     color: white;
     border       : 2px solid purple;
     border-radius: 5px;
     background   : purple;
  }
  table {
    border-collapse: collapse;
    border-radius: .5em;
    overflow: hidden;
   }
   td {
     padding: .8em;
     border-bottom: 2px solid white;
     text-align: center;
   }
  thead tr td {
    background: purple;
    font-weight: bold;
    color: white;
  }
  tbody tr td{
     background: thistle;
  }
  </style>
</head>
<body>
  <?php
     $quantity = $subtotal = $taxamount = $total = $quantity = $price = $taxrate = $discount = $discountedPrice = 0;
     // If the "submit" variable has been set, the form has been submitted,
     // and process the form input field values
     if (isset($_POST['submit'])) {   // Returns true if set; otherwise, false
       // Get the form values from the POST array
       $quantity = $_POST['qty'];
       $price = $_POST['price'];
       $taxrate = $_POST['taxrate'];
       $discount = 0;

       // Determine the discount rate
       if ($quantity < 100) {
          $discount = 0;
       }
       elseif (($quantity >= 100) && ($quantity < 500)) {
          $discount = 0.10;
       }
       elseif (($quantity >= 500) && ($quantity < 1000)) {
          $discount = 0.20;
       }
       else  {
          $discount = 0.30;
       }

       // Calculate discounted price, tax, and total
       $discountedPrice = $price - ($price * $discount);
       $subtotal = $quantity * $discountedPrice;
       $taxamount = $subtotal * $taxrate;
       $total = $subtotal + $taxamount;
   }
  ?>
   <form method="post">
     <div id="form-inputs">
       <div>
         <label for="qty">Quantity</label>
         <input type="number" id="qty" name="qty" size="10" min="1" max="5000" required value="<?php echo $quantity;?>">
       </div>
       <div>
	       <label for="price">Price</label>
	       <input type="number" id="price"   name="price"   size="10" min="1.00" max="5000.00" step=".10" required value="<?php echo $price;?>">
       </div>
       <div>
	       <label for="taxrate">Tax rate</label>
	       <input type="number" id="taxrate" name="taxrate" size="10" min="0.01" max="0.10" step="0.01"  required value="<?php echo $taxrate;?>">
       </div>
       <div>
         <button type="submit" id="submit" name="submit">Submit</button>
       </div>
     </div>
   </form>

  <table>
     <thead>
        <tr>
           <td>Quantity</td>
           <td>Price</td>
           <td>Discounted Price<?php echo ' <br>('.($discount*100).'%)' ?> </td></td>
           <td>Subtotal</td>
           <td>Tax<?php echo ' <br>('.($taxrate*100).'%)' ?> </td>
           <td>Purchase Total</td>
        </tr>
     </thead>
     <tbody>
        <tr>
           <td><?php echo $quantity ?></td>
           <td><?php echo number_format($price,2) ?></td>
           <td><?php echo number_format($discountedPrice,2) ?></td>
           <td><?php echo number_format($subtotal,2,".","") ?></td>
           <td><?php echo number_format($taxamount,2, ".","") ?></td></td>
           <td><?php echo number_format($total,2,".","") ?></td>
        </tr>
     </tbody>
  </table>

</body>
</html>
